---
search:
  tags:
    - Magasins
    - GET
seo:
  description: >-
    Récupère un magasin par id. Un élément supprimé logiquement est renvoyé avec
    deleted: true.
sidebar:
  label: Obtenir un magasin par ID
  badge: GET
title: Obtenir un magasin par ID
type: openapi-operation
---
Récupère un magasin par id. Un élément supprimé logiquement est renvoyé avec `deleted: true`.

`GET /stores/{storeId}`

**Responses**

- `200` — Détails du magasin
- `403` — Clé API absente, inconnue ou inactive, ou clé Read sur une opération d’écriture.
- `404` — Aucun élément avec cet id.

Response example, 200:

```json
{
  "data": {
    "id": "store_01",
    "name": "Magasin principal",
    "city": "Zürich",
    "address": "Bahnhofstrasse 1",
    "zipCode": "8001"
  }
}
```

Response example, 403:

```json
{
  "statusCode": 403,
  "message": "Unknown Error",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/products"
}
```
